Tibia no ubuntu, ocorrendo erro de biblioteca

1. Tibia no ubuntu, ocorrendo erro de biblioteca

Manu
ManuOnline

(usa Ubuntu)

Enviado em 18/12/2018 - 19:11h

error while loading shared libraries: libicui18n.so.50: cannot open shared object file: No such file or directory 

Ocorreu uma atualização recente do game Tibia, já rodava há um bom tempo, o meu problema é decorrente dessa atualização.
Que solução seria dada a este problema,já busquei informações que só servem para libicu50, como encontrar esta lib, como coloca-lá em uso, não entendo de problemas com libraries , talvez só o básico se alguém puder me auxiliar, Obg.



  


2. Re: Tibia no ubuntu, ocorrendo erro de biblioteca

Samuel Leonardo
SamL

(usa XUbuntu)

Enviado em 18/12/2018 - 19:40h

De certo, você precisa dessa biblioteca, a libicui18n. Procurei aqui no repos do Xubuntu e não encontrei. Deve ser uma lib do tíbia propriamente dito.
Edit:
Vou ver o tíbia aqui, e tentar instalar. Já evjo se dá esse erro ai.
____________________________________________
https://nerdki.blogspot.com/ acessa aí vai lá, é grátis!


3. Re: Tibia no ubuntu, ocorrendo erro de biblioteca

Manu
ManuOnline

(usa Ubuntu)

Enviado em 18/12/2018 - 19:52h

SamL escreveu:

De certo, você precisa dessa biblioteca, a libicui18n. Procurei aqui no repos do Xubuntu e não encontrei. Deve ser uma lib do tíbia propriamente dito.
Edit:
Vou ver o tíbia aqui, e tentar instalar. Já evjo se dá esse erro ai.
____________________________________________
https://nerdki.blogspot.com/ acessa aí vai lá, é grátis!


Tá osso, rsrs. Há muito tempo atrás havia um problema de não haver essa libpcre16.so.0, encontrei na net um lugar de onde baixar e conseguir, apenas movendo para a bin do game, agora está outra eu não encontro em outro lugar, Obg pelo seu comprometimento, aguardo respostas...


4. Re: Tibia no ubuntu, ocorrendo erro de biblioteca

Samuel Leonardo
SamL

(usa XUbuntu)

Enviado em 18/12/2018 - 20:08h

Eu baixei o tíbia mas não consegui rodar, parece que meu xubuntu 16.04 não roda ele. Veja como eu fiz e tente ai no seu sistema:
Baixe o tibia 11 aqui:
https://www.tibiabr.com/downloads/
Extraia o arquivo e entre na pasta do jogo.
Depois abra o arquivo start-tibia.sh num editor de textos. E modifique todo o conteúdo para esse abaixo:

#!/bin/bash

# Adapts library load path to include Qt libraries found in the root folder of the client's binary file.
# client shouldn't be called directly to prevent needed libraries not being found.

SCRIPT=$(readlink -f "$0")
TIBIA_PATH=$(dirname "$SCRIPT")
BIN_PATH="$TIBIA_PATH/bin"

export LD_LIBRARY_PATH="$PATH:$BIN_PATH:/usr/lib/x86_64-linux-gnu/"
exec "$BIN_PATH/client"


Verificque se a libicu existe no seu sistema, rode um file /usr/lib/x86_64-linux-gnu/libicui18n.so
Se tiver alguma saida é porque existe essa lib.


Só que vai conflitar com as libs do Qt5 que estão no seu sistema com as do tibia (é o que imagino que aconteça). Dai ele vai abortar.

____________________________________________
https://nerdki.blogspot.com/ acessa aí vai lá, é grátis!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts